/* common/misc ggLCARS internal functions */
/* $Id: gglmisc.c,v 1.2 2004/04/06 10:26:37 galexand Exp $ */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "gglinternal.h"

void *
ggl_malloc(int len)
{
	void *p = malloc(len);
	ggl_assert(p != NULL,"malloc failed?");
	memset(p,0,len);
	return p;
}

void
ggl_assert(int bool,char *s)
{
	if (!bool) {
		fprintf(stderr,"assertion failed: %s\n",s);
		exit(-1);
	}
}

char *
ggl_strdup(char *s)
{
	int len;
	char *ret;
	if (!s) return NULL;
	len = strlen(s);
	ret = ggl_malloc(len+1);
	memcpy(ret, s, len+1);
	return ret;
}
